Create segment
Creates a saved Segment. Rules must include at least one condition (use Everyone targeting for all Contacts). At most 50 conditions and 1,000 values per `in` list. Name collisions return 409 `segment_name_taken`.
Creates a saved Segment. Rules must include at least one condition (use Everyone targeting for all Contacts). At most 50 conditions and 1,000 values per in list. Name collisions return 409 segment_name_taken.
bearerAuthAuthorizationBearer <API key>Project API key (cr_sk_...)
application/json- body
Create body. rules.conditions must be non-empty (at most 50). Each in list may have at most 1,000 values.
name*string1 <= lengthdescription?stringrules*Created
application/json- response
segment_id*stringuuidstatus*string"active""archived"updated_at*stringdate-timecurl -X POST 'https://api.comraid.io/segments' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "rules": { "operator": "and", "conditions": [ { "field": "string", "op": "string" } ] }}'{ "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c", "status": "active", "updated_at": "2019-08-24T14:15:22Z"}List segments GET
Previous Page
Batch Segment contact and scheduled-message counts POST
Returns live `contact_count` and `scheduled_message_count` for a page of Segment IDs (saved UUIDs or builtin `seg_sys_*`). Dashboard list rows call this after the list loads. `contact_count` matches targeting preview with no platform or Category filter (Contacts with at least one offerable device).